aboutsummaryrefslogblamecommitdiffstats
path: root/testing/libdsme/APKBUILD
blob: 59321a88bd1153c3ef3c64d8fbbf885e94c18af8 (plain) (tree)
1
2
3
4
5
6
7
8
9


                                                  
             




                                                                                         










                         


















                                                                                            
                                                                                                                                                                   
                                                                                                                                                                 
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libdsme
pkgver=0.66.3
pkgrel=0
pkgdesc="Libraries for programs that communicate with the Device State Management Entity"
arch="all"
url="https://git.sailfishos.org/mer-core/libdsme"
license="LGPL-2.1-or-later"
depends="
	dbus
	glib
	"
depends_dev="
	check-dev
	glib-dev
	"
makedepends="$depends_dev
	coreutils
	"
subpackages="$pkgname-static $pkgname-dev"
source="https://git.sailfishos.org/mer-core/libdsme/-/archive/$pkgver/libdsme-$pkgver.tar.gz
	fix-musl-incompatibility.patch
	"
options="!check" # No suitable tests

build() {
	make
}

package() {
	DESTDIR="$pkgdir" make install

	# Create missing symlinks
	ldconfig "$pkgdir"/usr/lib

	# Remove tests
	rm -rf "$pkgdir"/opt
}
sha512sums="121e1c3d484752389a658dab6cc0c299db3e1c2dbc904c6f1b0484305117944faab9316c64932b0ff88d4371c709892b76a9222c287eff3dca72c6bdb0dad3d4  libdsme-0.66.3.tar.gz
3b6e2f50fa25e30ca4753ecf3bb1a1769d2afe97f25fffc907d1941cd109c39366a95379621e46053f87f7daa0b443afd91fe9dbf80df7b099ffddacbb367404  fix-musl-incompatibility.patch"